Bug 870104 - AttributeError: 'NoneType' object has no attribute 'get_child'
AttributeError: 'NoneType' object has no attribute 'get_child'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:b48ceeaefb30bff6c1679a079ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 10:46 EDT by Reartes Guillermo
Modified: 2013-05-30 13:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 13:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (193.46 KB, text/plain)
2012-10-25 10:46 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-25 10:46 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-25 10:46 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-25 10:46 EDT, Reartes Guillermo
no flags Details
File: storage.log (65.21 KB, text/plain)
2012-10-25 10:46 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-25 10:46 EDT, Reartes Guillermo
no flags Details
File: environ (780 bytes, text/plain)
2012-10-25 10:46 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (11.15 KB, text/plain)
2012-10-25 10:46 EDT, Reartes Guillermo
no flags Details
File: syslog (61.38 KB, text/plain)
2012-10-25 10:46 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-25 10:47 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-25 10:47 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-25 10:47 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-25 10:47 EDT, Reartes Guillermo
no flags Details
File: program.log (22.87 KB, text/plain)
2012-10-25 10:47 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-25 10:46:18 EDT
Description of problem:
i swiched a dynamic disk to some other type and set it to /

Version-Release number of selected component:
anaconda-18.19

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.19 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 817, in add_new_selector
:    page = self._accordion._find_by_title(new_install_name).get_child()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1236, in _save_right_side
:    self.add_new_selector(device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1994, in on_apply_clicked
:    self._save_right_side(self._current_selector)
:AttributeError: 'NoneType' object has no attribute 'get_child'
Comment 1 Reartes Guillermo 2012-10-25 10:46:26 EDT
Created attachment 633383 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-25 10:46:34 EDT
Created attachment 633384 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-25 10:46:38 EDT
Created attachment 633385 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-25 10:46:40 EDT
Created attachment 633386 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-25 10:46:45 EDT
Created attachment 633387 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-25 10:46:51 EDT
Created attachment 633388 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-25 10:46:53 EDT
Created attachment 633389 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-25 10:46:56 EDT
Created attachment 633390 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-25 10:46:59 EDT
Created attachment 633391 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-25 10:47:02 EDT
Created attachment 633392 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-25 10:47:06 EDT
Created attachment 633393 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-25 10:47:09 EDT
Created attachment 633394 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-25 10:47:11 EDT
Created attachment 633395 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-25 10:47:14 EDT
Created attachment 633396 [details]
File: program.log
Comment 15 Brian Lane 2012-10-31 14:05:48 EDT
This may be related to bug 869422, if you could retest when an image with anaconda-18.22-1 on it that would be helpful.

Note You need to log in before you can comment on or make changes to this bug.